import { SingleSubject } from '../types/signal';
import { BalWindowResizeObserver } from './window-resize.interfaces';
export declare class BalWindowResizeSubject extends SingleSubject<BalWindowResizeObserver> {
    private listener;
    constructor();
    attach(observer: BalWindowResizeObserver): void;
    detach(): void;
}
export declare const balWindowResizeSubject: BalWindowResizeSubject;
